Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Interface PacketTags

All Known Implementing Classes:
  BCPGInputStream, BCPGOutputStream, Packet

public interface PacketTags

Basic PGP packet tag types.

Field Summary
`static int` | `COMPRESSED_DATA`
`static int` | `EXPIRIMENTAL_1`
`static int` | `EXPIRIMENTAL_2`
`static int` | `EXPIRIMENTAL_3`
`static int` | `EXPIRIMENTAL_4`
`static int` | `LITERAL_DATA`
`static int` | `MARKER`
`static int` | `MOD_DETECTION_CODE`
`static int` | `ONE_PASS_SIGNATURE`
`static int` | `PUBLIC_KEY`
`static int` | `PUBLIC_KEY_ENC_SESSION`
`static int` | `PUBLIC_SUBKEY`
`static int` | `RESERVED`
`static int` | `SECRET_KEY`
`static int` | `SECRET_SUBKEY`
`static int` | `SIGNATURE`
`static int` | `SYM_ENC_INTEGRITY_PRO`
`static int` | `SYMMETRIC_KEY_ENC`
`static int` | `SYMMETRIC_KEY_ENC_SESSION`
`static int` | `TRUST`
`static int` | `USER_ATTRIBUTE`
`static int` | `USER_ID`

Field Detail

### RESERVED

    public static final int RESERVED

See Also:
  Constant Field Values

### PUBLIC_KEY_ENC_SESSION

    public static final int PUBLIC_KEY_ENC_SESSION

See Also:
  Constant Field Values

### SIGNATURE

    public static final int SIGNATURE

See Also:
  Constant Field Values

### SYMMETRIC_KEY_ENC_SESSION

    public static final int SYMMETRIC_KEY_ENC_SESSION

See Also:
  Constant Field Values

### ONE_PASS_SIGNATURE

    public static final int ONE_PASS_SIGNATURE

See Also:
  Constant Field Values

### SECRET_KEY

    public static final int SECRET_KEY

See Also:
  Constant Field Values

### PUBLIC_KEY

    public static final int PUBLIC_KEY

See Also:
  Constant Field Values

### SECRET_SUBKEY

    public static final int SECRET_SUBKEY

See Also:
  Constant Field Values

### COMPRESSED_DATA

    public static final int COMPRESSED_DATA

See Also:
  Constant Field Values

### SYMMETRIC_KEY_ENC

    public static final int SYMMETRIC_KEY_ENC

See Also:
  Constant Field Values

### MARKER

    public static final int MARKER

See Also:
  Constant Field Values

### LITERAL_DATA

    public static final int LITERAL_DATA

See Also:
  Constant Field Values

### TRUST

    public static final int TRUST

See Also:
  Constant Field Values

### USER_ID

    public static final int USER_ID

See Also:
  Constant Field Values

### PUBLIC_SUBKEY

    public static final int PUBLIC_SUBKEY

See Also:
  Constant Field Values

### USER_ATTRIBUTE

    public static final int USER_ATTRIBUTE

See Also:
  Constant Field Values

### SYM_ENC_INTEGRITY_PRO

    public static final int SYM_ENC_INTEGRITY_PRO

See Also:
  Constant Field Values

### MOD_DETECTION_CODE

    public static final int MOD_DETECTION_CODE

See Also:
  Constant Field Values

### EXPIRIMENTAL_1

    public static final int EXPIRIMENTAL_1

See Also:
  Constant Field Values

### EXPIRIMENTAL_2

    public static final int EXPIRIMENTAL_2

See Also:
  Constant Field Values

### EXPIRIMENTAL_3

    public static final int EXPIRIMENTAL_3

See Also:
  Constant Field Values

### EXPIRIMENTAL_4

    public static final int EXPIRIMENTAL_4

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD